Bug 1416793 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): ksmserver killed by SIGSEGV
Summary: [abrt] plasma-workspace: KCrash::defaultCrashHandler(): ksmserver killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9a39c64673328c9f0bb90e8d7ee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 12:38 UTC by Garry T. Williams
Modified: 2017-12-12 10:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:40:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.62 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: core_backtrace (7.16 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: dso_list (16.52 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: environ (1.39 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: maps (72.56 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: mountinfo (3.40 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: open_fds (224 bytes, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details
File: var_log_messages (8.96 KB, text/plain)
2017-01-26 12:38 UTC, Garry T. Williams
no flags Details

Description Garry T. Williams 2017-01-26 12:38:26 UTC
Description of problem:
kserver was looping, so I killed it in an effort to get the desktop back again.

Version-Release number of selected component:
plasma-workspace-5.8.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/ksmserver
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/ksmserver
global_pid:     1239
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kcrash-5.29.0/src/kcrash.cpp:538
 #3 std::__atomic_base<QThread*>::load at /usr/include/c++/6.2.1/bits/atomic_base.h:713
 #4 std::atomic<QThread*>::load at /usr/include/c++/6.2.1/atomic:416
 #5 QAtomicOps<QThread*>::loadAcquire<QThread*> at ../../src/corelib/arch/qatomic_cxx11.h:239
 #6 QBasicAtomicPointer<QThread>::loadAcquire at ../../src/corelib/thread/qbasicatomic.h:241
 #7 QBasicAtomicPointer<QThread>::operator QThread* at ../../src/corelib/thread/qbasicatomic.h:237
 #8 QObject::thread at kernel/qobject.cpp:1432
 #9 QObject::QObject at kernel/qobject.cpp:851
 #10 QIODevice::QIODevice at io/qiodevice.cpp:471
 #11 QProcess::QProcess at io/qprocess.cpp:1241

Comment 1 Garry T. Williams 2017-01-26 12:38:34 UTC
Created attachment 1244772 [details]
File: backtrace

Comment 2 Garry T. Williams 2017-01-26 12:38:35 UTC
Created attachment 1244773 [details]
File: cgroup

Comment 3 Garry T. Williams 2017-01-26 12:38:37 UTC
Created attachment 1244774 [details]
File: core_backtrace

Comment 4 Garry T. Williams 2017-01-26 12:38:39 UTC
Created attachment 1244775 [details]
File: dso_list

Comment 5 Garry T. Williams 2017-01-26 12:38:40 UTC
Created attachment 1244776 [details]
File: environ

Comment 6 Garry T. Williams 2017-01-26 12:38:41 UTC
Created attachment 1244777 [details]
File: limits

Comment 7 Garry T. Williams 2017-01-26 12:38:46 UTC
Created attachment 1244778 [details]
File: maps

Comment 8 Garry T. Williams 2017-01-26 12:38:47 UTC
Created attachment 1244779 [details]
File: mountinfo

Comment 9 Garry T. Williams 2017-01-26 12:38:49 UTC
Created attachment 1244780 [details]
File: namespaces

Comment 10 Garry T. Williams 2017-01-26 12:38:50 UTC
Created attachment 1244781 [details]
File: open_fds

Comment 11 Garry T. Williams 2017-01-26 12:38:51 UTC
Created attachment 1244782 [details]
File: proc_pid_status

Comment 12 Garry T. Williams 2017-01-26 12:38:52 UTC
Created attachment 1244783 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:18:34 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:40:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.